CVE-2015-2296

NameCVE-2015-2296
DescriptionThe resolve_redirects function in sessions.py in requests 2.1.0 through 2.5.3 allows remote attackers to conduct session fixation attacks via a cookie without a host value in a redirect.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs780506

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
requests (PTS)buster2.21.0-1fixed
buster (security)2.21.0-1+deb10u1fixed
bullseye2.25.1+dfsg-2fixed
bookworm2.28.1+dfsg-1fixed
trixie, sid2.31.0+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
requestssourcewheezy(not affected)
requestssource(unstable)2.4.3-6780506

Notes

[wheezy] - requests <not-affected> (Vulnerable code introduced in 2.1.0)
https://github.com/kennethreitz/requests/commit/3bd8afbff29e50b38f889b2f688785a669b9aafc

Search for package or bug name: Reporting problems